summaryrefslogtreecommitdiffstats
path: root/multimedia/2ManDVD
diff options
context:
space:
mode:
author Ponce <matteo.bernardini@sns.it>2010-05-13 00:59:34 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:34 +0200
commitf08a7d4f0d52af21abe51381defddc8fb89370dc (patch)
tree0fab385911e54827446c9dccdba7c4861ec07f66 /multimedia/2ManDVD
parentef84c1c91075c73a5b4be3716503c8a046f6aaba (diff)
downloadslackbuilds-f08a7d4f0d52af21abe51381defddc8fb89370dc.tar.gz
slackbuilds-f08a7d4f0d52af21abe51381defddc8fb89370dc.tar.xz
multimedia/2ManDVD: Added to 13.0 repository
Diffstat (limited to 'multimedia/2ManDVD')
-rw-r--r--multimedia/2ManDVD/2ManDVD.SlackBuild99
-rw-r--r--multimedia/2ManDVD/2ManDVD.info10
-rw-r--r--multimedia/2ManDVD/README6
-rw-r--r--multimedia/2ManDVD/doinst.sh3
-rw-r--r--multimedia/2ManDVD/slack-desc20
5 files changed, 138 insertions, 0 deletions
diff --git a/multimedia/2ManDVD/2ManDVD.SlackBuild b/multimedia/2ManDVD/2ManDVD.SlackBuild
new file mode 100644
index 0000000000..1b7c650ad1
--- /dev/null
+++ b/multimedia/2ManDVD/2ManDVD.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009 Eric Hameleers <alien@slackware.com>, Eindhoven, Netherlands
+
+# Slackware build script for 2ManDVD
+# Written by Matteo Bernardini <matteo.bernardini@sns.it>
+# Modified by the slackbuilds.org project.
+
+PRGNAM=2ManDVD
+VERSION=${VERSION:-1.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix installation path
+for file in mainfrm.cpp media_browser.cpp rendering.cpp; do
+ sed -i "s:qApp->applicationDirPath().\?+.\?\":\"/usr/share/$PRGNAM/:" $file
+done
+
+sed -i "s:qApp->applicationDirPath():\"/usr/share/$PRGNAM/\":" mainfrm.cpp
+
+qmake \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ $PRGNAM.pro
+
+make
+
+install -D -m0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m0644 Interface/mandvdico.png $PKG/usr/share/pixmaps/mandvdico.png
+mkdir -p $PKG/usr/share/$PRGNAM
+chmod -R 755 Bibliotheque Interface
+cp -R \
+ Bibliotheque Interface 2mandvd_*.qm 2mandvd_*.ts *.wav *.pl \
+ $PKG/usr/share/$PRGNAM
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Make desktop entry
+mkdir -p $PKG/usr/share/applications
+echo "[Desktop Entry]
+Name=2ManDVD
+Type=Application
+Comment=Tool for creating DVD Video
+Exec=2ManDVD
+Icon=mandvdico
+Terminal=false
+Categories=Application;Qt;AudioVideo;Video;" \
+> $PKG/usr/share/applications/2ManDVD.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/multimedia/2ManDVD/2ManDVD.info b/multimedia/2ManDVD/2ManDVD.info
new file mode 100644
index 0000000000..7ae4cdf515
--- /dev/null
+++ b/multimedia/2ManDVD/2ManDVD.info
@@ -0,0 +1,10 @@
+PRGNAM="2ManDVD"
+VERSION="1.2"
+HOMEPAGE="http://2mandvd.tuxfamily.org/"
+DOWNLOAD="http://download.tuxfamily.org/2mandvd/2ManDVD-1.2.tar.gz"
+MD5SUM="be96bfe506066e9db444e5cc0318b62c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="dsomero"
diff --git a/multimedia/2ManDVD/README b/multimedia/2ManDVD/README
new file mode 100644
index 0000000000..e11e241d54
--- /dev/null
+++ b/multimedia/2ManDVD/README
@@ -0,0 +1,6 @@
+2ManDVD is a full featured dvd authoring application with a nice looking
+qt interface written by Stéphane Gibault. It's the successor of ManDVD
+written for qt4 and webkit.
+
+Requires: webkit, ffmpeg, transcode, dvdauthor, mjpegtools and
+ffmpegthumbnailer, all available at slackbuilds.org.
diff --git a/multimedia/2ManDVD/doinst.sh b/multimedia/2ManDVD/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/multimedia/2ManDVD/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/multimedia/2ManDVD/slack-desc b/multimedia/2ManDVD/slack-desc
new file mode 100644
index 0000000000..72fe09f39e
--- /dev/null
+++ b/multimedia/2ManDVD/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+2ManDVD: 2ManDVD (dvd authoring made easy)
+2ManDVD:
+2ManDVD: 2ManDVD is the successor of ManDVD.
+2ManDVD:
+2ManDVD: Homepage: http://2mandvd.tuxfamily.org/
+2ManDVD:
+2ManDVD:
+2ManDVD:
+2ManDVD:
+2ManDVD:
+2ManDVD:
+